Summary

Description

Version that requires .NET 4.0